| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_input_controller Struct Reference

`#include <jpegint.h>`

## Public Member Functions
| JMETHOD (int, consume_input,(j_decompress_ptr cinfo))
| JMETHOD (void, reset_input_controller,(j_decompress_ptr cinfo))
| JMETHOD (void, start_input_pass,(j_decompress_ptr cinfo))
| JMETHOD (void, finish_input_pass,(j_decompress_ptr cinfo))

## Public Attributes
boolean | has_multiple_scans
boolean | eoi_reached

## Detailed Description

Definition at line 146 of file jpegint.h.

## Member Function Documentation

jpeg_input_controller::JMETHOD | ( | int | ,
|  | consume_input | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_input_controller::JMETHOD | ( | void | ,
|  | reset_input_controller | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_input_controller::JMETHOD | ( | void | ,
|  | start_input_pass | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_input_controller::JMETHOD | ( | void | ,
|  | finish_input_pass | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

## Member Data Documentation

boolean jpeg_input_controller::eoi_reached

Definition at line 154 of file jpegint.h.

boolean jpeg_input_controller::has_multiple_scans

Definition at line 153 of file jpegint.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpegint.h